# Mail sender PHP
Client pour l'API mail sender : https://mail-sender.kub.nwb.fr/api-docs

# Installation :

-   Ajouter les modules communs dans composer.json

```json
{
    "repositories": [
        {
            "type": "composer",
            "url": "https://git.nwb.fr/api/packages/modules-communs/composer"
        },
    ]
}
```

- Lancer

```
composer require nwb/mail
```

## Utilisation :

```php
$mailSender = new MailSender(
    $creds['host'],
    $creds['port'],
    $creds['user'],
    $creds['pass'],
    $creds['loginAPI'],
    $creds['passwordAPI']
);

$email = (new Email())
    ->setFrom('no-reply@nowwweb.fr')
    ->setTo('recipient1@example.com', ['address' => 'recipient2@example.com', 'name' => 'Recipient 2'])
    ->setSubject('Subject')
    ->setBody('<img src="cid:logo">')
    ->attachFromPath(__DIR__ . '/attachments/1.png', 'logo.png', 'logo')
    ->attachFromPath(__DIR__ . '/attachments/2.png')
    ->setPriority(Email::PRIORITY_NORMAL);

$mailSender->send($email);
```
